Package com.usatiuk.dhfs.repository

# Interface GetObjectRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `GetObjectRequest`, `GetObjectRequest.Builder`

public interface GetObjectRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`JObjectKeyP`
`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyPOrBuilder`
`getNameOrBuilder()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`boolean`
`hasName()`
`.dhfs.persistence.JObjectKeyP name = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`.dhfs.persistence.JObjectKeyP name = 2;`

Returns:
  Whether the name field is set.

### getName

JObjectKeyP getName()
`.dhfs.persistence.JObjectKeyP name = 2;`

Returns:
  The name.

### getNameOrBuilder

JObjectKeyPOrBuilder getNameOrBuilder()
`.dhfs.persistence.JObjectKeyP name = 2;`